APP="DownloadComment"
PLUGIN="DownloadComment"
BUILDDIR="../DownloadComment/build"
VERSIONNUM="1.2.1"
VERSIONSUFFIX="1.2.1"

mkdir temp
rm -rf "temp/${PLUGIN}"
mkdir "temp/${PLUGIN}"
cp -fr ../ecammloader/dist/Ecamm "temp/${PLUGIN}"
cp -fr "${BUILDDIR}/Deployment/${PLUGIN}.plugin" "temp/${PLUGIN}"

cd "temp/${PLUGIN}"
rm -rf `find . -name "CVS"`
tar cf contents.einstall *
cp contents.einstall "../../build/Deployment/Install ${APP}.app/Contents/Resources/"

cd ../..

INSTALLER_DIR="${APP} v${VERSIONNUM} Installer"

rm -rf "dist/${INSTALLER_DIR}"
rm -rf "dist/${PLUGIN}${VERSIONSUFFIX}.zip"
rm -rf "dist/${PLUGIN}${VERSIONSUFFIX}.dmg"

mkdir dist
mkdir "dist/${INSTALLER_DIR}"
cp -r "build/Deployment/Install ${APP}.app" "dist/${INSTALLER_DIR}"
cp -r ../DownloadComment/README.rtf "dist/${INSTALLER_DIR}"

hdiutil create -srcfolder "dist/${INSTALLER_DIR}" "dist/${PLUGIN}${VERSIONSUFFIX}.dmg"
cd dist
zip -r "${PLUGIN}${VERSIONSUFFIX}.zip" "${INSTALLER_DIR}"